#!/bin/sh

## This script handles the installations for Arch-based systems.
## It is run by setup_cockpit.sh

if [ "$OS" != 'arch' ]; then
  echo "${RED}The OS wasn't defined as Arch. Quitting...${NC}"
  exit 1
else
  echo "${GREEN}Installing for Arch-based systems${NC}"
fi

echo "Installing Keepass..."
if sudo pacman -S keepass; then
  echo "${GREEN}Successfully installed Keepass${NC}"
else
  echo "${RED}Didn't install Keepass${NC}"
fi

echo "Installing ProtonVPN..."
if sudo pacman -S openvpn dialog python-pip python-setuptools && sudo pip install protonvpn-cli; then
  echo "${GREEN}Successfully installed ProtonVPN${NC}"
else
  echo "${RED}Didn't install ProtonVPN${NC}"
fi

echo "Installing Git..."
if sudo pacman -S git; then
  echo "${GREEN}Successfully installed Git${NC}"
else
  echo "${RED}Didn't install Git${NC}"
fi
